#!/bin/sh
cd adb-tools
./adb devices
  echo "======================================================="
  echo "\033[43m!!! Подтвердите подключение на мониторе автомобиля !!!!\033[0m"
  echo "=======================================================\n"
# Ititialization

mainmenu () {
  echo "\033[33m Нажмите 1 чтобы установить магазин на передние экраны \033[0m"
  echo "\033[36m Нажмите 2 чтобы установить магазин на задний экран \033[0m\n"
  echo " Нажмите x чтобы выйти"
  read -n 1 -p "Input Selection:" mainmenuinput
  if [ "$mainmenuinput" = "1" ]; then
./adb uninstall --user 0 com.carmodapps.carstore
./adb uninstall --user 21473 com.carmodapps.carstore
./adb uninstall --user 6174 com.carmodapps.carstore
./adb uninstall --user 0 air.StrelkaHUDFREE
./adb uninstall --user 21473 air.StrelkaHUDFREE
./adb uninstall --user 6174 air.StrelkaHUDFREE
./adb uninstall --user 0 limehd.ru.lite 
./adb uninstall --user 21473 limehd.ru.lite
./adb uninstall --user 6174 limehd.ru.lite
./adb install -g --user 0 com.carmodapps.carstore-1.10-36.apk
./adb install -g --user 0 air.StrelkaHUDFREE-62.0_CMA20240108-536731.apk
./adb install -g --user 0 limehd.ru.lite-3.3.3RS_CMA20240117g98ac035-2024011716.apk
./adb install -g --user 21473 com.carmodapps.carstore-1.10-36.apk
./adb install -g --user 21473 limehd.ru.lite-3.3.3RS_CMA20240117g98ac035-2024011716.apk
./adb install -g --user 6174 com.carmodapps.carstore-1.10-36.apk
./adb install -g --user 6174 limehd.ru.lite-3.3.3RS_CMA20240117g98ac035-2024011716.apk
./adb shell appops set --user 0 com.carmodapps.carstore REQUEST_INSTALL_PACKAGES allow
./adb shell appops set --user 21473 com.carmodapps.carstore REQUEST_INSTALL_PACKAGES allow     
./adb shell appops set --user 6174 com.carmodapps.carstore REQUEST_INSTALL_PACKAGES allow
./adb shell pm grant --user 0 com.carmodapps.carstore android.permission.CHANGE_CONFIGURATION
./adb shell pm grant --user 21473 com.carmodapps.carstore android.permission.CHANGE_CONFIGURATION
./adb shell pm grant --user 6174 com.carmodapps.carstore android.permission.CHANGE_CONFIGURATION
./adb shell pm grant --user 0 com.carmodapps.carstore android.permission.WRITE_SECURE_SETTINGS
./adb shell pm grant --user 21473 com.carmodapps.carstore android.permission.WRITE_SECURE_SETTINGS
./adb shell pm grant --user 6174 com.carmodapps.carstore android.permission.WRITE_SECURE_SETTINGS
./adb shell pm grant --user 0 com.carmodapps.carstore android.permission.WRITE_SETTINGS
./adb shell pm grant --user 21473 com.carmodapps.carstore android.permission.WRITE_SETTINGS
./adb shell pm grant --user 6174 com.carmodapps.carstore android.permission.WRITE_SETTINGS

./adb shell pm grant --user 0 air.StrelkaHUDFREE android.permission.SYSTEM_ALERT_WINDOW

./adb shell pm grant --user 0 limehd.ru.lite android.permission.SYSTEM_ALERT_WINDOW
./adb shell pm grant --user 21473 limehd.ru.lite android.permission.SYSTEM_ALERT_WINDOW
./adb shell pm grant --user 6174 limehd.ru.lite android.permission.SYSTEM_ALERT_WINDOW
        elif [ "$mainmenuinput" = "2" ]; then
./adb uninstall --user 0 com.carmodapps.carstore
./adb uninstall --user 0 limehd.ru.lite 
./adb install -g --user 0 com.carmodapps.carstore-1.10-36.apk
./adb install -g --user 0 limehd.ru.lite-3.3.3RS_CMA20240117g98ac035-2024011716.apk
./adb shell appops set --user 0 com.carmodapps.carstore REQUEST_INSTALL_PACKAGES allow
        elif [ "$mainmenuinput" = "x" ];then
            exit
        elif [ "$mainmenuinput" = "X" ];then
            exit
        else
            echo "Вы ввели неверное значение!"
            echo "Попробуйте еще раз!"
            echo ""
            echo "Нажмите любую клавишу для продолжения..."
            read -n 1
            clear
            mainmenu
        fi
}

mainmenu
